import Vue from 'vue'
import Vuex from 'vuex'
import { getGraphElementType } from "@/api/editer.js"

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    GraphCategoryIds: ['NTXT'], //系统类型
    TypeIdToGraphElement: {}, //typeid到图例元素的映射
    token: null,
  },
  mutations: {
    TypeIdToGraphElement(state, data) {
      if (data.length) {
        state.TypeIdToGraphElement = {}
        data.forEach(t => {
          state.TypeIdToGraphElement[t.Id] = t;
        })
      }
    },
    SETSSOTOKEN(state, data) {
      state.token = data
    },
  },
  actions: {
    getElementType({ commit }, params) {
      getGraphElementType(params).then(res => {
        commit('TypeIdToGraphElement', res.Content)
      })
    }
  },
  getters: {
    token: (state) => state.token,
  },
  modules: {
  }
})
